Skip to main content
POST
/
platform
/
data
/
batchJob
/
actions
/
{code}
/
items
/
{correlationId}
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "batchJobCode": "<string>",
      "catalogId": 123,
      "correlationId": "<string>",
      "currencyCode": "<string>",
      "dataViewMode": 0,
      "errors": [
        {
          "code": "<string>",
          "field": "<string>",
          "itemKeys": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ],
          "longMessage": "<string>",
          "message": "<string>",
          "subErrors": "<array>"
        }
      ],
      "httpMethod": "<string>",
      "itemKey": "<string>",
      "localeCode": "<string>",
      "masterCatalog": 123,
      "processingStatus": "Waiting",
      "query": "<string>",
      "resourceType": "<string>",
      "retryCount": 123,
      "siteId": 123,
      "status": 123,
      "uri": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required
correlationId
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>